[CentOS] cups & hp-toolbox

Robert Nichols rnicholsNOSPAM at comcast.net
Mon Mar 2 23:49:25 UTC 2009


Anne Wilson wrote:
> On Monday 02 March 2009 19:39:00 Robert Nichols wrote:
>> Anne Wilson wrote:
>>> It sounds to me as though this is an hplip problem.  The version in
>>> CentOS is not the latest, and doesn't support recent printers
>>> out-of-the-box.  ISTR that I had to grab the relevant ppd file from one
>>> of my other boxes (or the Internet, of course) and feed that to CUPS,
>>> after which hplip could see my printer and scanner.  (Mine is a
>>> PhotoSmart 7180).
>> According to the changelogs, support for the Photosmart C6100 series
>> first appeared in hplip version 1.6.9.  The latest version in the
>> CentOS updates repository is 1.6.7.  When I got my Photosmart C7180
>> I grabbed hplip-1.7.4a-3.fc6.i386.rpm from Fedora Core 6, and I've
>> been running with that ever since.
> 
> I was about to download and install a later version when I decided to try just 
> adding the ppd.  It worked fine, and was less work, but either solution is 
> fine.

I can see getting basic printing to work that way, but it surprises me
greatly that just adding a ppd file would make hp-toolbox recognize a
new printer model.  But, if it works, it works.

-- 
Bob Nichols     "NOSPAM" is really part of my email address.
                 Do NOT delete it.



More information about the CentOS mailing list